<!-- A declaration that tells the browser that the document is HTML5. -->
<!DOCTYPE HTML>
<!-- Telling the browser that the document is in English. -->
<html lang='en'>
<!-- The code for the header of the page. -->

<head>
  <title>Edit Profile</title>
  <link rel='stylesheet' href={{ url_for('static', filename='css/editProfile.css' ) }} />
  <link rel='stylesheet' href={{ url_for('static', filename='css/topStyle.css' ) }} />
</head>

<body>
  <!-- This is the code for the logo of the website. -->
  <div id='title'>
    <div id='homeicon'>
      <a href='/' aria-label='webattack app logo'>
        <img src={{ url_for( 'static' , filename='uploads/webattack_home.png' ) }} id='logo' alt='WEBATTACK HOME' />
      </a>
    </div>
    <!-- This is the code for the search bar. -->
    <form role='searchbox' action="{{ url_for('search_results') }}" method='post'>
      <input id='searchBox' type='text' name='searchQuery' aria-label='Enter search term' />
      <input id='searchButton' type='submit' value='Search' />
    </form>

    <!-- This is a conditional statement that checks if the user is logged in or not. If the user is not
logged in, then the user is shown a sign in button. If the user is logged in, then the user is shown
a dropdown menu with the user's first name. -->
    {% if not loggedIn %}
    <a class='signInButton' href='/loginForm' aria-label='Sign In Here'>Sign In</a>
    {% else %}
    <div class='dropdown'>
      <button class='dropbtn'>Hello, <br />{{firstName}}</button>
      <div class='dropdown-content'>
        <a href='/account/orders'>Your orders</a>
        <a href='/account/profile'>Your profile</a>
        <hr />
        <a href='/logout' aria-label='Sign Out Here'>Sign Out</a>
      </div>
    </div>
    {% endif %}
    <a class='kart' href='/cart'>
      <img src={{url_for('static', filename='images/shoppingCart.png' )}} id='cartIcon' alt='shoppingCart' /> CART
      {{noOfItems}}
    </a>
  </div>

  <!-- This is the code for the edit profile page. It is a form that allows the user to edit their profile. -->
  <div class='display'>
    <h1>Edit profile</h1>
    <form role='update Profile' action='/updateProfile' method='POST'>
      <p>
        Email:<input type='email' name='email' value='{{profileData[1]}}' readonly='readonly' />
      </p>
      <p>
        First Name:<input type='text' name='firstName' value='{{profileData[2]}}' />
      </p>
      <p>
        Last Name:
        <input type='text' name='lastName' value='{{profileData[3]}}' />
      </p>
      <p>
        Address 1:
        <input type='text' name='address1' value='{{profileData[4]}}' />
      </p>
      <p>
        Address 2:
        <input type='text' name='address2' value='{{profileData[5]}}' />
      </p>
      <p>
        Zip Code:
        <input type='text' name='zipcode' value='{{profileData[6]}}' />
      </p>
      <p>
        City: <input type='text' name='city' value='{{profileData[7]}}' />
      </p>
      <p>
        State: <input type='text' name='state' value='{{profileData[8]}}' />
      </p>
      <p>
        Country:
        <input type='text' name='country' value='{{profileData[9]}}' />
      </p>
      <p>
        Phone Number:
        <input type='text' name='phone' value='{{profileData[10]}}' />
      </p>
      <input type='submit' value='Save' />
    </form>
  </div>
  <!-- This is the code for the chatbot. -->
  <!-- This is a script that is used to display the chat box on the website. -->
  <script src={{ url_for('static', filename='js/utility.js' ) }}></script>
</body>

</html>